Page MenuHomePhabricator

Wikibase extension type no longer translated on Special:Version
Closed, ResolvedPublic2 Story Points

Description

As a Wikidata user, I want to read Special:Version in my language.

Problem:
Wikibase registers the wikibase extension type with the interface message version-wikibase as the name (which is used as the heading of a section on Special:Version). In English, this message has the value “Wikibase”, but it’s translated into several other languages, e. g. „Wikibase-Erweiterungen“ in German, «Вики-база» in Russian, or «قاعدة ويكي» in Arabic.

However, the WikibaseSchema extension unconditionally overrides that name with a hard-coded “Wikibase” (in EntitySchemaHooks::onExtensionTypes), replacing any translations.

Example:
https://www.wikidata.org/wiki/Special:Version?uselang=ar#sv-credits-wikibase

Acceptance criteria:

  • The extension type is translated again on Special:Version.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2019, 10:10 AM
Lydia_Pintscher triaged this task as Normal priority.Jun 12 2019, 8:44 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
WMDE-leszek set the point value for this task to 2.Jun 12 2019, 12:30 PM

Change 520015 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/EntitySchema@master] Wikibase extension type no longer translated on Special:Version

https://gerrit.wikimedia.org/r/520015

Change 520015 merged by jenkins-bot:
[mediawiki/extensions/EntitySchema@master] Change the Wikibase extension type to be translated on Special:Version

https://gerrit.wikimedia.org/r/520015

Change 520383 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/EntitySchema@master] Add version-wikibase language key version-wikibase is used as Wikibase extension name on Special:Version

https://gerrit.wikimedia.org/r/520383

Change 520383 merged by jenkins-bot:
[mediawiki/extensions/EntitySchema@master] Use hard-coded 'Wikibase' name for Wikibase extension name

https://gerrit.wikimedia.org/r/520383

alaa_wmde added a subscriber: alaa_wmde.

Checked on beta https://wikidata.beta.wmflabs.org/wiki/Special:Version?uselang=ar#sv-credits-wikibase
and it looked exactly the same as in production at the time https://www.wikidata.org/wiki/Special:Version?uselang=ar#sv-credits-wikibase

Since wikibase is installed on both production and beta, the changes cannot be tested. This can be tested only locally without wikibase, an in that case it will use a hardcoded 'wikibase' and not a translated message. That is because without wikibase extension being there, 'wikibase' message won't be defined.

What is interesting here, is that EntitySchema does not require Wikibase it seems, then why should it report wikibase as it's extensions type. Shouldn't it report a different type then?

But that's outside the scope of this task which I'm moving to done as there's nothing left to change nor test on it.

Lydia_Pintscher closed this task as Resolved.Jul 15 2019, 11:06 AM